Get Shipment Logs

View as Markdown
Retrieves operational logs for a specific shipment by shipment ID, providing a detailed record of all events and status changes that have occurred.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

shipmentIdstringRequiredformat: "int32"
The shipment id to get

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
log_type_idinteger or null
Log type id of the shipment
log_type_namestring or null
Name of the log type
log_type_textstring or null
Summary of log type meaning
metadatamap from strings to strings or null
Specifics data for the event
timestampdatetime or null
Timestamp of event

Errors